function ret_val = selectStreamsModFreq(camera, frame_types, mod_freq)
  % selectStreamsModFreq
  %   Select the streams you want to get from the camera with the specified
  %   modulation frequency
  %
  % Inputs:
  %   camera - Camera - A camera
  %   frame_types - vector[FrameType] - The frame types to select
  %   mod_freq - numeric - The modulation frequency to select
  %
  % Output:
  %   ret_val - numeric - The amount of selected streams
  %

  ret_val = tof.mex('tof_select_streams_mod_freq', camera.get_object_ptr(), uint32(frame_types), mod_freq);
  ret_val = double(ret_val);
end

