import chronoptics.tof as tof


def main(serial: str, ip: tof.PersistentIp):
    cam = tof.KeaCamera(serial=serial)

    if not cam.persistentIpCapable():
        print("Camera does not support persistent ip")
        return

    cam.setPersistentIp(ip)
    cam.applyPersistentIp()


if __name__ == "__main__":
    ip = tof.PersistentIp("192.168.1.201", "255.255.255.0", "192.168.1.1", True)

    try:
        main("2030006", ip)
    except Exception as e:
        # Exception is expected since the camera reboots
        print(e)
